#
# spec file for package yast2-configuration-management
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           yast2-configuration-management
Version:        4.2.5
Release:        lp152.1.1
URL:            https://github.com/yast/yast-migration
Summary:        YaST2 - YaST Configuration Management
License:        GPL-2.0-only
Group:          System/YaST

Source0:        %{name}-%{version}.tar.bz2

# CWM DateField and TimeField widgets
BuildRequires:  update-desktop-files
BuildRequires:  yast2 >= 4.1.53
BuildRequires:  yast2-devtools >= 4.2.2
BuildRequires:  yast2-installation
BuildRequires:  rubygem(%{rb_default_ruby_abi}:rspec)
BuildRequires:  rubygem(%{rb_default_ruby_abi}:yast-rake)

# CWM DateField and TimeField widgets
Requires:       yast2 => 4.1.53
Requires:       yast2-installation

BuildArch:      noarch

%description
This package contains the YaST2 component for Configuration Management Provisioning.

%prep
%setup -q

%check
%yast_check

%build

%install
%yast_install
%yast_metainfo

%files
%{yast_clientdir}
%{yast_libdir}
%{yast_desktopdir}
%{yast_metainfodir}
%{yast_schemadir}
%{yast_icondir}
%doc %{yast_docdir}
%license COPYING

%changelog
* Thu May 21 2020 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- bsc#1169410:
  - Add an option to set the log level when running the
    provisioners. By default, it is set to "info".
  - By default, do not retry in masterless mode.
  - Honor the AutoYaST reporting settings.
  - When not running during autoinstallation, do not automatically
    close the dialog after finishing.
  - Allow using several locations to save pillars data.
  - Do not leak passwords from pillars to the console.
  - Add the /usr/share/salt-formulas to the list of directories
    to search for formulas.
  - Groups and namespaces are presented in the same way due to
    some UI limitations.
  - Fixes several problems related to widgets visibility.
  - Take precedence over existing top.sls files.
- 4.2.5
* Mon Mar 30 2020 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Do not force to use formulas during the 1st stage (bsc#1168080).
- 4.2.4
* Tue Dec 17 2019 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Remove the AutoYaST User Interface menu entry for the module
  because, for the time being, it is not supported (bsc#1159434).
- 4.2.3
* Thu Aug 22 2019 schubi@suse.de
- Using rb_default_ruby_abi tag in the spec file in order to
  handle several ruby versions (bsc#1146403).
- 4.2.2
* Fri Jul 19 2019 Ladislav Slezák <lslezak@suse.cz>
- Added "BuildRequires: update-desktop-files"
- Related to the previous desktop file changes (fate#319035)
- 4.2.1
* Fri May 31 2019 Stasiek Michalski <hellcp@mailbox.org>
- Add metainfo (fate#319035)
- Revamp spec
- Replace GenericName with Comment
- 4.2.0
* Thu Feb 28 2019 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Fix $visibleIf condition evaluation when the left value is "false"
  or when the path is absolute (bsc#1127402).
- 4.1.6
* Mon Feb 25 2019 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- fate#322722:
  - Display a tree to navigate through form sections.
  - Set default values for nested collections.
  - Export correctly date/time and number values.
- 4.1.5
* Fri Feb 15 2019 mvidner@suse.com
- Fixed test-suite instability by adding missing requires. (fate#322722)
- 4.1.4
* Fri Feb  8 2019 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- fate#322722:
  - Add support for $minItems/$maxItems and $visibleIf attributes.
  - Improve firstboot integration.
  - Fix form titles.
  - Unify internal representation of collections.
- 4.1.3
* Tue Jan 29 2019 igonzalezsosa@suse.com
- Add the missing AutoYaST rnc file (related to fate#322722)
- 4.1.2
* Thu Jan 24 2019 igonzalezsosa@suse.com
- fate#322722:
  - Extend Salt Formulas Forms support to handle the current
    specification.
  - Add a new client to apply formulas in the running system.
- 4.1.1
* Mon Dec 17 2018 Stasiek Michalski <hellcp@mailbox.org>
- Provide icon with module (boo#1109310)
- 4.1.0
* Tue Oct 16 2018 schubi@suse.de
- Fixed path to license file.
  Needed to build fix for bsc#1083015 again.
- 4.0.3
* Mon Aug 20 2018 schubi@suse.de
- Switched license in spec file from SPDX2 to SPDX3 format.
- Changed dir of COPYING file.
* Tue Feb 27 2018 jreidinger@suse.com
- fix creating pot files (bsc#1083015)
- 4.0.2
* Fri Jan 26 2018 igonzalezsosa@suse.com
- Prevent YaST from trying to show the module in the control
  center (bsc#1072025).
- Version 4.0.1
* Fri Nov  3 2017 igonzalezsosa@suse.com
- Fix textdomain on ConfigurationManagementFinish client
  (bsc#1066427)
- Version 4.0.0
* Thu May 11 2017 igonzalezsosa@suse.com
- Do not try to run the provisioner if no configuration was
  specified (bsc#1038630)
- Version 0.3.3
* Tue May  9 2017 igonzalezsosa@suse.com
- Fix masterless mode (bsc#1038290)
- Fix Puppet package installation
- Handle libzypp's lock to allow installation of packages
  through Salt/Puppet
- Do not write configuration to disk as it is not needed anymore
- Version 0.3.2
* Wed Apr 12 2017 schubi@suse.de
- Enable port support for downloading files (e.g. keys)
  Added AY flag "enable_services" for services handling.
  Install needed packages to target system.
  (Fate#319830)
- Version 0.3.1
* Fri Apr  7 2017 schubi@suse.de
- Moved to official yast2-configuration-management package.
  (Fate#319830)
- Version 0.3.0
* Mon Feb 27 2017 igonzalezsosa@suse.com
- Add experimental support for SUSE Manager Salt formulas
- Version 0.2.0
* Tue Feb 21 2017 igonzalezsosa@suse.com
- The provisioner runs after the 2nd stage to avoid interferences
  with AutoYaST.
- Rename profile elements (see new ones in the README.md file)
- Fix the list of packages to be installed when using Salt.
- Add missing 'modified', 'modified?' and 'export' methods in the
  AutoYaST client although no information is exported by this
  module.
- Version 0.1.0
* Mon Jun  6 2016 igonzalezsosa@suse.com
- Initial draft
- Version 0.0.1
